import java.util.Scanner;

class Factorial{

    public static void main(String[] args)
    {
	if(args.length < 1){
	    System.out.println("usage: Factorial n");
	    System.out.println("       where n is positive natural number");
	}else{
	    int number = keepAskingForNumber(args[0]);
	    int numberFactorial = factorial(number);
	    System.out.println("Factorial " + number
			       + " is " + numberFactorial);
	}
    }

    public static int keepAskingForNumber(String input){
	Scanner scan = new Scanner(System.in);
	boolean validInput = true;
	int n = 0;
	do{
	    validInput = true;
	    try{
		n = Integer.parseInt(input);
	    }catch(NumberFormatException e){
		validInput = false;
		System.out.println( input + " is not a natural number. ");
		System.out.print( "Please enter a natural number: ");
		input = scan.nextLine();
	    }
	}while(!validInput);
	return n;
    }
    
    public static int factorial(int a){
	if(a <= 1)
	    return a;
	else{
	    int lower = factorial(a-1);
	    return a*lower;
	}
    }

}
